Package groovy.transform

## Annotation Type VisibilityOptions

-     @Documented
      @Retention(SOURCE)
      @Target({TYPE,CONSTRUCTOR,METHOD})
      public @interface VisibilityOptions

  Marker annotation used in the context of AST transformations to provide a custom visibility.
  Since:
    2.5.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `Visibility` | `constructor` |
    `String` | `id` |
    `Visibility` | `method` |
    `Visibility` | `type` |
    `Visibility` | `value` |

- - ### Element Detail

    - #### value

          Visibility value

      Default:
        groovy.transform.options.Visibility.UNDEFINED

  - - #### id

          String id

      Default:
        "<DummyUndefinedMarkerString-DoNotUse>"

  - - #### type

          Visibility type

      Default:
        groovy.transform.options.Visibility.UNDEFINED

  - - #### method

          Visibility method

      Default:
        groovy.transform.options.Visibility.UNDEFINED

  - - #### constructor

          Visibility constructor

      Default:
        groovy.transform.options.Visibility.UNDEFINED